<?php
defined('IN_WEB') or die('Include Error!');

/**
 * 开关相关
 */
class ModelSwitch{
    /**
     * 获取弹框配置
     * @param $id
     * @return mixed
     * Created by: Owen
     * Created on: 2019/8/7 17:41
     * Description:
     */
    public function bullet($id){
        $status = oo::commonOprRedis('common')->get(okeys::configSwitch($id));
        if($status !== false){
            return $status;
        }
        $tb = otable::configBullet();
        $sql = " SELECT * FROM {$tb} WHERE id={$id}";
        $ret = oo::commonOprDb('common')->getOne($sql, MYSQLI_ASSOC);
        if(!empty($ret)){
            $status = $ret['status'];
        }else{
            $status = 1;
        }
        oo::commonOprRedis('common')->setex(okeys::configSwitch($id),$status,oo::redisRandomExpire(7 * 86400));
        return $status;
    }

    /**
     * ab Test 开关 // 0 不走ABTest，直接显示钻石, 1根据ABTest判断是否显示
     * @param $uid
     * Created by: Owen
     * Created on: 2021/2/25 17:24
     */
    public function abTestDiamond($uid){
//        $lock = intval(oo::commonOprModel('readconfig')->getCon('AbTest','diamond'));
//        if($lock){
//            $lock    = 0;
//            $version = oo::commonOprModel('user')->getUserVersion($uid);
//            if(oo::compareVersion($version,'1.8.1')){
//                $regVersion = oo::commonOprModel('member')->getUserRegVersion($uid);
//                if(oo::compareVersion($regVersion,'1.8.1')){
//                    $assetsInfo = oo::commonOprModel('member')->getUserAssetsInfo($uid);
//                    if($assetsInfo['diamond'] == 0){
//                        $lock = 1;
//                    }
//                }
//            }
//        }
//        return $lock;

        $lock = intval(oo::commonOprModel('readconfig')->getCon('AbTest','diamond'));
        if($lock){
            $version = oo::commonOprModel('user')->getUserVersion($uid);
            if(oo::compareVersion($version,'1.8.1')){
                $assetsInfo = oo::commonOprModel('member')->getUserAssetsInfo($uid);
                if($assetsInfo['diamond'] == 0){
                    return 1;
                }else{
                    return 0;
                }
            }
        }
        return $lock;
    }
}
